<?php

namespace Ulmus\Api\Common;

use Psr\Http\Message\RequestInterface;
use Psr\Http\Message\ResponseInterface;
use Ulmus\Api\ApiHandlerInterface;
use Ulmus\Api\ApiRepository;
use Ulmus\Api\Attribute\Obj\Api\ApiAction;
use Ulmus\Api\Transport\CurlTransport;

class ApiHandlerPassThrough implements ApiHandlerInterface
{
    public function handleRequest(RequestInterface $request, ApiAction $attribute): RequestInterface
    {
        return $request;
    }

    public function handleResponse(ResponseInterface $response, ApiAction $attribute): ResponseInterface
    {
        return $response;
    }

    public function debugResponse(CurlTransport $transport, ApiRepository $repository) : void {}
}