<?php

namespace Ulmus\Api\Common;

enum MethodEnum : string
{
    case Get = "GET"; # https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/GET )
    case Head = "HEAD"; # https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/HEAD )
    case Connect = "CONNECT"; # https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/CONNECT )
    case Delete = "DELETE"; # https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/DELETE )
    case Options = "OPTIONS"; # https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/OPTIONS )
    case Patch = "PATCH"; # https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/PATCH )
    case Post = "POST"; # https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/POST )
    case Put = "PUT"; # https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/PUT )
    case Trace = "TRACE"; # https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/TRACE )
}
